/*
 * Class EV_ACCELERATOR_IMP
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1131 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1131 [] = {0xFF01,1551,1130,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1131 [] = {0xFF01,1130,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1131 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1131 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1131 [] = {0xFF01,1130,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1131 [] = {0xFF01,1130,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1131 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1131 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1131 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1131 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1131 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1131 [] = {0xFF01,1130,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1131 [] = {0xFF01,0xFF01,964,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1131 [] = {0xFF01,1291,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1131 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1131 [] = {0xFF01,1291,0xFFFF};


static const struct desc_info desc_1131[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1131), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1131), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1131), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1131), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1131), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1131), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1131), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1131), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1131), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1131), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1131), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1131), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x08D5 /*1130*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1131), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26577, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26652, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26653, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26666, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26579, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1131), 26580, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0789 /*964*/), 26665, 0},
	{EIF_NON_GENERIC(0x069B /*845*/), 26582, 16},
	{EIF_NON_GENERIC(0x069B /*845*/), 26583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26584, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26585, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26586, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26587, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26588, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26589, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26590, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26591, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26597, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26600, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26649, 12},
	{EIF_GENERIC(NULL), 26650, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26651, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1131), 26654, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26655, 15},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26656, 14},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26657, 13},
	{EIF_GENERIC(egt_15_1131), 26644, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26658, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26659, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26660, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26661, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26662, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26663, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26664, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 26645, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 26646, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 26647, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26657, 13},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26656, 14},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26655, 15},
	{EIF_GENERIC(egt_16_1131), 26654, 8},
};
void Init1131(void)
{
	IDSC(desc_1131, 0, 1130);
	IDSC(desc_1131 + 1, 1, 1130);
	IDSC(desc_1131 + 32, 1513, 1130);
	IDSC(desc_1131 + 59, 1355, 1130);
	IDSC(desc_1131 + 77, 1500, 1130);
}


#ifdef __cplusplus
}
#endif
